package com.njcn.pojo.data;

import java.text.SimpleDateFormat;
import java.util.Date;

public class MenuEntity {
    private String guid;
    private String name;
    private String path;
    private String menuDes = "";
    private String updateTime;
    private String parentNode; //父节点guid
    private String parentName; //父节点名称
    private String menuType; //资源类型guid
    private String menuName; //资源类型名称
    private Date dateUpdateTime;

    public Date getDateUpdateTime() {
        return dateUpdateTime;
    }

    public void setDateUpdateTime(Date dateUpdateTime) {
        this.dateUpdateTime = dateUpdateTime;
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        this.updateTime = sdf.format(dateUpdateTime);
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getMenuType() {
        return menuType;
    }

    public void setMenuType(String menuType) {
        this.menuType = menuType;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getParentNode() {
        return parentNode;
    }

    public void setParentNode(String parentNode) {
        this.parentNode = parentNode;
    }

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getMenuDes() {
        return menuDes;
    }

    public void setMenuDes(String menuDes) {
        this.menuDes = menuDes;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}
